%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-neutron
Version:        11.5.0
Release:        3%{?dist}
Summary:        Puppet module for OpenStack Neutron
License:        ASL 2.0

URL:            https://launchpad.net/puppet-neutron

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=11.5.0
Patch0001: 0001-Latest-Nexus-Configuration-Variables-Updates.patch
Patch0002: 0002-New-configuration-being-added-for-Cisco-UCSM-ML2-dri.patch
Patch0003: 0003-Allowing-Non-IP-Traffic-in-L2-and-L3-domains.patch
Patch0004: 0004-Corrections-in-comments.patch
Patch0005: 0005-Optionally-set-device_driver-to-os_service_default.patch
Patch0006: 0006-Configure-metadata-agent-metadata_proxy_shared_secre.patch
Patch0007: 0007-Add-posibilities-to-set-tunnel_csum-in-ovs-agent.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-nova
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet-vswitch
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Neutron

%prep
%setup -q -n openstack-neutron-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/



%files
%{_datadir}/openstack-puppet/modules/neutron/


%changelog
* Thu Nov 08 2018 Kamil Sambor <ksambor@redhat.com> 11.5.0-3
- Add posibilities to set tunnel_csum in ovs agent, rhbz#1626230

* Wed May 30 2018 Steve Linabery <slinaber@redhat.com> 11.5.0-2
- Configure metadata agent 'metadata_proxy_shared_secret' as secret
- Optionally set device_driver to $::os_service_default
- Corrections in comments

* Wed Feb 14 2018 Thierry Vignaud <tvignaud@redhat.com> 11.5.0-1
- Allowing Non-IP Traffic in L2 and L3 domains
- New configuration being added for Cisco UCSM ML2 driver
- Latest Nexus Configuration Variables Updates
- Update to 11.5.0

* Mon Nov 13 2017 Jon Schlueter <jschluet@redhat.com> 11.3.0-2
- Enable neutron-destroy-port-patches service (rhbz#1490281)
- Fixes vhostuser port prefix with ODL OVS host config
- [pike] Add Puppet package to bindep, for module build
- Switch neutron auth provider to keystone v3
- Adds the ability to specify ML2 ODL Features
- add parameter to overwrite/add wsgi process options
- Update Gemfile to pull spec_helper from stable/pike

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 11.3.0-1
- Update to 11.3.0



